import request from '@/utils/request'

// 查询加油卡信息列表
export function listGas (query) {
  return request({
    url: '/clw/gas/list',
    method: 'get',
    params: query
  })
}

// 查询加油卡信息详细
export function getGas (gasId) {
  return request({
    url: '/clw/gas/' + gasId,
    method: 'get'
  })
}

// 新增加油卡信息
export function addGas (data) {
  return request({
    url: '/clw/gas',
    method: 'post',
    data: data
  })
}

// 修改加油卡信息
export function updateGas (data) {
  return request({
    url: '/clw/gas',
    method: 'put',
    data: data
  })
}

// 删除加油卡信息
export function delGas (gasId) {
  return request({
    url: '/clw/gas/' + gasId,
    method: 'delete'
  })
}
// 车牌接口
export function plateNumberList () {
  return request({
    url: '/clw/car/plateNumberList',
    method: 'get'
  })
}